## com.google.javascript.rhino
Class Node.AncestorIterable

    java.lang.Object
      com.google.javascript.rhino.Node.AncestorIterable

All Implemented Interfaces:
  Iterable<Node>

Enclosing class:
  Node

    public static class Node.AncestorIterable

extends Object
implements Iterable<Node>

Iterator to go up the ancestor tree.

Method Summary
`Iterator<Node>` | `iterator()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### iterator

    public Iterator<Node> iterator()

  Specified by:
    `iterator` in interface `Iterable<Node>`